/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: NewPageHandler.java,v 1.1.2.1 2003/12/11 10:17:57 ppoi Exp $
 */
package tsukuba_bunko.peko.scenario.text;


/**
 * <samp>np</samp> 要素の処理を行う <code>ElementHandler</code> です。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1.2.1 $
 */
public class NewPageHandler	extends TextElementHandler	{

	/**
	 * <code>NewPageHandler</code> のインスタンスを作成します。
	 */
	public NewPageHandler()
	{
		super();
	}


//
//	ContentHandler の実装
//
	public void endDocument()
	{
		TextCoordinator	coordinator = getTextCoordinator();
		coordinator.begin();
		coordinator.advancesNewPage();
		coordinator.commit();
	}
}
